Subject: [Shop-talk] Cable ties

From: "Karl Vacek" <[email-masked]>
Date: Sun, 30 Nov 2014 16:53:57 -0600

Once again I've bought bad cable ties.  Decades ago cable ties all seemed to
be good, but nowadays that's not so.

NAPA used to carry decent (if expensive) ones, but they've changed now.  The
ones got from Monoprice were so weak that I threw them away.  Then I bought
a large assortment of G-B ties, and they too pop without warning under
minimal tension.  I think they're actually failing in the buckle, whereas
the ones from Monoprice just snapped.  Horrible Freight sells ties that may
even be worse than either Monoprice of G-B.

Is there a good, reliable brand or source for cable ties that can be
tightened decently, hold tight, and stand up to weather, etc.?  I don't want
a bargain - just a good reliable source.

Thank you!
Karl
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive